[BACK]Return to weekly CVS log [TXT][DIR] Up to [cvs.NetBSD.org] / src / etc

File: [cvs.NetBSD.org] / src / etc / weekly (download)

Revision 1.31, Sat Nov 28 14:20:32 2015 UTC (8 years, 4 months ago) by darcy
Branch: MAIN
CVS Tags: prg-localcount2-base3, prg-localcount2-base2, prg-localcount2-base1, prg-localcount2-base, prg-localcount2, phil-wifi-base, pgoyette-localcount-base, pgoyette-localcount-20170426, pgoyette-localcount-20170320, pgoyette-localcount-20170107, pgoyette-localcount-20161104, pgoyette-localcount-20160806, pgoyette-localcount-20160726, pgoyette-localcount, pgoyette-compat-base, pgoyette-compat-0906, pgoyette-compat-0728, pgoyette-compat-0625, pgoyette-compat-0521, pgoyette-compat-0502, pgoyette-compat-0422, pgoyette-compat-0415, pgoyette-compat-0407, pgoyette-compat-0330, pgoyette-compat-0322, pgoyette-compat-0315, perseant-stdc-iso10646-base, perseant-stdc-iso10646, netbsd-8-base, netbsd-8-2-RELEASE, netbsd-8-1-RELEASE, netbsd-8-1-RC1, netbsd-8-0-RELEASE, netbsd-8-0-RC2, netbsd-8-0-RC1, netbsd-8, matt-nb8-mediatek-base, matt-nb8-mediatek, localcount-20160914, bouyer-socketcan-base1, bouyer-socketcan-base, bouyer-socketcan
Branch point for: phil-wifi, pgoyette-compat
Changes since 1.30: +2 -2 lines

Of course we can always not do something.  Doesn't mean that we "can't"
(or "cannot").  In any case make the messages consistent and move the
period to inside the quotes.

#!/bin/sh -
#
#	$NetBSD: weekly,v 1.31 2015/11/28 14:20:32 darcy Exp $
#	from: @(#)weekly	8.2 (Berkeley) 1/2/94
#

export PATH=/bin:/usr/bin:/sbin:/usr/sbin:/usr/libexec
umask 077

if [ -s /etc/weekly.conf ]; then
	. /etc/weekly.conf
fi

host="$(hostname)"
date="$(date)"
rcvar_manpage='weekly.conf(5)'

echo "To: ${MAILTO:-root}"
echo "Subject: $host weekly output for $date"
echo ""

if [ -f /etc/rc.subr ]; then
	. /etc/rc.subr
else
	echo "Can't read /etc/rc.subr; aborting."
	exit 1;
fi

WEEKLYDIR=$(mktemp -d -t _weekly) || exit 1

trap "/bin/rm -rf $WEEKLYDIR ; exit 0" EXIT INT QUIT PIPE

if ! cd "$WEEKLYDIR"; then
	echo "Can't cd to $WEEKLYDIR; aborting."
	exit 1
fi

TMP=weekly.$$

#echo ""
#echo "Removing old .o files:"
#find /usr/src -name '*.o' -atime +21 -print -a -exec rm -f {} \;

# see if /usr/src exists and is local
# before looking there for checked-out files

#if [ -d /usr/src -a \
#  -n "$(find -f /usr/src ! -fstype local -prune -or -type d -print -prune)" ];
#then
#	echo ""
#	echo "Looking for checked out files:"
#
#	TDIR=$(mktemp -d -t _checkout) || exit 1
#	trap "/bin/rm -rf $TDIR ; exit 0" EXIT INT QUIT
#	for file in $(find -f /usr/src ! -fstype local -prune -or \
#	    -name 'p.*' -print | egrep 'SCCS/p\.'); do
#		owner=$(awk '{ print $3 }' $file)
#		echo "$owner	$file"
#		echo $file >> "$TDIR/$owner"
#	done | sed -e 's,SCCS/p.,,'
#	if test -n "$(ls $TDIR)"; then
#		for file in $TDIR/*; do
#			sed -e 's,SCCS/p.,,' $file | \
#			    Mail -s 'checked out files' ${file##*/}
#		done
#	fi
#fi

if checkyesno rebuild_locatedb; then
	echo ""
	if [ -f /var/db/locate.database ]; then
		echo "Rebuilding locate database:"
		chmod 644 /var/db/locate.database
		chown nobody:nobody /var/db/locate.database
		(cd / && nice -5 su -m nobody -c /usr/libexec/locate.updatedb 2>/dev/null)
		chown root:wheel /var/db/locate.database
	else
		echo "Not rebuilding locate database; no /var/db/locate.database"
	fi
fi

if checkyesno rebuild_mandb; then
	echo ""
	if [ -f /etc/man.conf -a -x /usr/sbin/makemandb ]; then
		echo "Rebuilding man page index:"
		(umask 022; nice -n 5 /usr/sbin/makemandb -f -Q)
	else
		echo "Not rebuilding man page index"
	fi
fi

if [ -f /etc/weekly.local ]; then
	. /etc/weekly.local > $TMP 2>&1
	if [ -s $TMP ] ; then
		printf "\nRunning /etc/weekly.local:\n"
		cat $TMP
	fi
	rm -f $TMP
fi